$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.93.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.93.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'EA041577EE8CA210D5975C4587ED258212ECA861286C7A514762146F780C622A'
  checksumType = 'sha256'
  checksum64 = 'EA041577EE8CA210D5975C4587ED258212ECA861286C7A514762146F780C622A'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.93-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
